package com.gic.haoban.manage.web.vo.rank;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Author guojx
 * @Date 2023/12/25 9:56
 */
@Data
public class IndexVO implements Serializable {

    private String indexCode;

    private String indexName;

    private String indexExplain;

    /**
     * 前端使用：指标说明:若指标注释中有需要说明的
     */
    private List<String> indexRemarkList;

    /**
     * 前端使用：指标例子
     */
    private List<String> indexExampleList;

    /**
     * 指标说明:若指标注释中有需要说明的，英文分号隔开，可能多个。
     */
    private String indexRemark;

    /**
     * 指标例子: 英文分号隔开，可能多个
     */
    private String indexExample;

    /**
     * yapi文档上的驼峰字段名称
     */
    private String apiColName;

    /**
     * 观云台原指标code
     */
    private String itemId;

    public List<String> getIndexRemarkList() {
        if (StringUtils.isNotBlank(indexRemark)) {
            return Arrays.stream(indexRemark.split(";")).collect(Collectors.toList());
        }
        return indexRemarkList;
    }

    public List<String> getIndexExampleList() {
        if (StringUtils.isNotBlank(indexExample)) {
            return Arrays.stream(indexExample.split(";")).collect(Collectors.toList());
        }
        return indexExampleList;
    }
}
